Skip to content
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get a support report

Get a support report’s metadata.

GET/api/v1/reports/{id}
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

created_atstringrequired
database_service_namesstring[]required
descriptionstring
errorstring
idstringrequired
issue_typestringrequired
server_namesstring[]required
size_bytesinteger<int64>required
statusstringrequired
Allowed:buildingreadyfailed
subjectstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/reports/string' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "created_at": "string",
  "database_service_names": [
    "string"
  ],
  "description": "string",
  "error": "string",
  "id": "string",
  "issue_type": "string",
  "server_names": [
    "string"
  ],
  "size_bytes": 0,
  "status": "building",
  "subject": "string"
}